### Function

# Gtk ListBoxSortFunc

since: 4.0

#### Declaration

    int
    (* GtkListBoxSortFunc) (
      GtkListBoxRow* row1,
      GtkListBoxRow* row2,
      gpointer user_data
    )

#### Description [src]

Compare two rows to determine which should be first.

Available since: 4.0

#### Parameters

`row1`

  Type: `GtkListBoxRow`

  The first row.

  The data is owned by the caller of the function.

`row2`

  Type: `GtkListBoxRow`

  The second row.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `int`

< 0 if `row1` should be before `row2`, 0 if they are equal and > 0 otherwise.